DEV_GET_BY_INDEX_RCU(9)

NAME
dev_get_by_index_rcu - find a device by its ifindex

SYNOPSIS

struct net_device * dev_get_by_index_rcu(struct net * net, int ifindex);

ARGUMENTS

net
    the applicable net namespace

ifindex
    index of device

DESCRIPTION

Search for an interface by index. Returns NULL if the device is not found or a pointer to the device. The device has not had its reference counter increased so the caller must be careful about locking. The caller must hold RCU lock.

COPYRIGHT